package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class DegreeRegistration {
    private Integer id;

    /**
     * 零星支付id
     */
    @ApiModelProperty(value = "零星支付id",required = true)
    private Integer sporadicId;

    private Integer userId;

    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号",required = false)
    private String orderNo;


    /**
     * 订单流水号
     */
    @ApiModelProperty(value = "订单流水号",required = false)
    private String transNo;


    /**
     * 姓名
     */
    @ApiModelProperty(value = "名字",required = true)
    private String name;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别",required = true)
    private String gender;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号",required = true)
    private String idcard;

    /**
     * 城市
     */
    @ApiModelProperty(value = "城市",required = true)
    private String city;

    /**
     * 学校
     */
    @ApiModelProperty(value = "学校",required = true)
    private String school;

    /**
     * 乐器
     */
    @ApiModelProperty(value = "乐器",required = true)
    private String subject;

    /**
     * 考试级别
     */
    @ApiModelProperty(value = "考试级别",required = true)
    private String level;

    /**
     * 乐理级别
     */
    @ApiModelProperty(value = "乐理级别",required = true)
    private String theoryLevel;


    /**
     * 乐理级别证书
     */
    @ApiModelProperty(value = "乐理级别证书",required = true)
    private String theoryCert;

    /**
     * 家长联系电话
     */
    @ApiModelProperty(value = "家长联系电话",required = true)
    private String mobile;

    /**
     * 考级费用
     */
    @ApiModelProperty(value = "考级费用",required = false)
    private BigDecimal money;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注",required = false)
    private String memo;

    /**
     * 乐理费用
     */
    @ApiModelProperty(value = "乐理费用",required = true)
    private BigDecimal theoryMoney;

    /**
     * 报名时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 0-未支付 1-支付中 2-支付中
     */
    private Integer status;


    /**
     * 0-未支付 1-支付中 2-支付中
     */
    private String statusStr;

    /**
     *  是否重新支付
     */
    @ApiModelProperty(value = "是否重新支付",required = false)
    private Boolean isRepay = false;

    private Integer organId;

    private String activityTag;

    public Boolean getRepay() {
        return isRepay;
    }

    public void setRepay(Boolean repay) {
        isRepay = repay;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getActivityTag() {
        return activityTag;
    }

    public void setActivityTag(String activityTag) {
        this.activityTag = activityTag;
    }

    public Integer getSporadicId() {
        return sporadicId;
    }

    public void setSporadicId(Integer sporadicId) {
        this.sporadicId = sporadicId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getTheoryLevel() {
        return theoryLevel;
    }

    public void setTheoryLevel(String theoryLevel) {
        this.theoryLevel = theoryLevel;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Boolean getIsRepay() {
        return isRepay;
    }

    public void setIsRepay(Boolean repay) {
        isRepay = repay;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public BigDecimal getTheoryMoney() {
        return theoryMoney;
    }

    public void setTheoryMoney(BigDecimal theoryMoney) {
        this.theoryMoney = theoryMoney;
    }

    public String getTheoryCert() {
        return theoryCert;
    }

    public void setTheoryCert(String theoryCert) {
        this.theoryCert = theoryCert;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }
}
